Bug 1479014 - BIOS CMOS settings are spoiled by the boot-up with the kernel above 4.10.
BIOS CMOS settings are spoiled by the boot-up with the kernel above 4.10.
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 1459912 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 13:36 EDT by izyk
Modified: 2017-11-20 17:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from alsa-info, lspci, lsusb and selected codecs. (130.20 KB, text/plain)
2017-08-07 13:36 EDT, izyk
no flags Details

  None (edit)
Description izyk 2017-08-07 13:36:47 EDT
Created attachment 1310253 [details]
Output from alsa-info, lspci, lsusb and selected codecs.

Description of problem:
After switching to the kernel 4.11.
At each boot, my laptop produces the phrase "configuration changed - restart the system". After that, the BIOS (UEFI) resets all the settings to default values. This never happened on the kernels 4.10 and older.

Hardware: ThinkPad S5-S540
All other info see attachment.

Version-Release number of selected component (if applicable):
bluez
snd_hda_codec_realtek

4.11.11-300.fc26.x86_64 #1 SMP Mon Jul 17 16:32:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Boot-up with the kernel 4.11.

Additional info:
I found a combination of OS settings so that it does not happen.

1. 
cat /etc/modprobe.d/black-sound.conf 
blacklist snd_hda_codec_realtek

2. 
never turn off the Bluetooth adapter when the computer is turned off or
disable the Bluetooth adapter in the BIOS, completely.

Maybe it's just a defect of my equipment, or maybe it's a bug in the kernel. Unfortunately, I do not have enough knowledge to localize the problem more concretely.
Comment 1 izyk 2017-08-07 13:40:01 EDT
*** Bug 1459912 has been marked as a duplicate of this bug. ***
Comment 2 noone 2017-11-11 01:31:15 EST
+1

Hi, tried various BIOS settings, USB_BLACKLIST=”8087:07dc” and USB_BLACKLIST_BTUSB=1 (/etc/default/tlp.conf), blacklist snd_hda_codec_realtek (/etc/modprobe.d/blacklist.conf) and echo "XHC" > /proc/acpi/wakeup. None resolve the issue.

Maybe this issue is related to both power-related packages and kernel changes, however not sure. No expert here, hope this is helpful, thanks.
Comment 3 noone 2017-11-11 01:37:21 EST
Forgot. using Lenovo Thinkpad and also tried acpi_enforce_resources=lax and it also didn't fix the issue.
Comment 4 Rob Whalley 2017-11-20 17:34:00 EST
Hi, just for reference I'm also seeing this on a Lenovo Thinkpad S540. First noticed the message while running Fedora 26, now updated to Fedora 27 - system is dual booted with Windows 10. Still happens after BIOS updated to latest version (1.71).

Note You need to log in before you can comment on or make changes to this bug.